Subject: bug#25639: 25.1; Org-mode calendar selection

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Feb 2017 17:57:05 +0200

> From: [email-masked]
> Date: Tue, 07 Feb 2017 09:21:02 -0200
> 
> I start emacs with emacs -Q -f org-mode
> 
> If open the calendar to select a date, with C-c . or C-c C-s or
> C-c C-d. Org mode presents a calendar in wich I can move inside
> using shift+arrow keys.
> 
> It works fine on X version of emacs, on xterm, but not on pure tty.
> 
> When I'm on tty trying to shift+arrow to select a date, the cursor
> moves only on the mini-buffer, not on the calendar. I can kind of work
> around it by C-x o (ing) into the calendar buffer to select the date.

If you type "C-h l" (the letter ell, not the digit one), you will see
that Emacs on a TTY sees an unshifted arrow key in this case.  That's
because text terminals generally don't distinguish between shifted and
unshifted arrow keys.

So Emacs simply cannot support this functionality on a TTY.  A
workaround is to bind the same command to different keys.